package cn.pluss.platform.enums;

import lombok.Getter;

/**
 * @author SSS
 */

public enum WxApplyStatus {

    /**
     * 审核中
     */
    EXAMINING("APPLYMENT_STATE_WAITTING_FOR_AUDIT", "请耐心等待 1~2 个工作日，微信支付将会完成审核。")
    ,
    /**
     * 编辑中
     */
    EDITING("APPLYMENT_STATE_EDITTING", "可能提交申请发生了错误导致，可用同一个业务申请编号重新提交")
    ,
    /**
     * 待确认联系信息
     */
    CONFIRM_CONTACT("APPLYMENT_STATE_WAITTING_FOR_CONFIRM_CONTACT", "请扫描微信支付返回的小程序码确认联系信息")
    ,
    /**
     * 待账户验证
     */
    CONFIRM_LEGALPERSON("APPLYMENT_STATE_WAITTING_FOR_CONFIRM_LEGALPERSON", "请扫描微信支付返回的小程序码在小程序端完成账户验证")
    ,
    /**
     * 审核通过
     */
    PASSED("APPLYMENT_STATE_PASSED", "请扫描微信支付返回的小程序码在小程序端完成授权流程")
    ,
    /**
     * 审核驳回
     */
    REJECTED("APPLYMENT_STATE_REJECTED", "请扫描微信支付返回的小程序码在小程序端完成账户验证")
    ,
    /**
     * 已冻结
     */
    FREEZED("APPLYMENT_STATE_REJECTED", "可能是该主体已完成过入驻，请查看驳回原因，并通知驳回原因中指定的联系人扫描微信支付返回的小程序码在小程序端完成授权流程")
    ,
    /**
     * 已作废
     */
    CANCELED("APPLYMENT_STATE_CANCELED", "表示申请单已被撤销，无需再对其进行操作")
    ;

    /**
     * 状态值
     */
    @Getter
    String statusName;

    /**
     * 状态描述
     */
    @Getter
    String statusMsg;

    WxApplyStatus(String statusName, String statusMsg) {
        this.statusName = statusName;
        this.statusMsg = statusMsg;
    }
}
